﻿[] spawn {
	disableSerialization;
	private _display = (findDisplay 46) createDisplay "RscDisplayEmpty";
	waitUntil {(!isNull _display)};
	private _map = _display ctrlCreate ["RscMapControl", 900];
	_map ctrlSetPosition[ 0, 0, 1, 1 ];
	_map ctrlCommit 0;

	_map ctrlMapAnimAdd[ 1, 0.1, [ ( worldSize / 2 ), ( worldSize / 2 ), 0 ] ];
	ctrlMapAnimCommit _map;

	waitUntil{ ctrlMapAnimDone _map };

	( _map ctrlMapScreenToWorld [ 0.5, 0.5 ] ) params[ "_mapX", "_mapY" ];

	_offset = [ ( worldSize / 2 ) - _mapX, ( worldSize / 2 ) - _mapY ];
	systemChat str _offset;
	copyToClipboard str _offset;
	//[893.401,-233.621] this is offset, test as same for both Stratis and VR as both their worldsize is 8192
	//[3350.25,-876.079] ALTIS
	//[1675.13,-438.04] TANOA

	_mrk = createMarker [ "ctrlCreateCenter", [ _mapX, _mapY ] ];
	_mrk setMarkerShape "ELLIPSE";
	_mrk setMarkerSize [ 100, 100 ];
	_mrk setMarkerColor "ColorRed";

	_offset params[ "_offsetX", "_offsetY" ];

	_map ctrlMapAnimAdd[ 1, 0.1, [ ( worldSize / 2 ) + _offsetX, ( worldSize / 2 ) + _offsetY, 0 ] ];
	ctrlMapAnimCommit _map;

	waitUntil{ ctrlMapAnimDone _map };

	_mrk = createMarker [ "ctrlCreateCenterReal", [ _mapX + _offsetX, _mapY + _offsetY ] ];
	_mrk setMarkerShape "ELLIPSE";
	_mrk setMarkerSize [ 10, 10 ];
	_mrk setMarkerColor "ColorGreen";

	player setPosATL [ worldSize / 2, worldSize / 2, 0 ];

};